<nav aria-label="{{ 'Page navigation'|t }}">
  <ul class="pagination justify-content-center">
    {% set previous_page_arrow = search_pagination.getPreviousPage() %}
    {% set next_page_arrow = search_pagination.getNextPage() %}
    {% set previous_pages = 2 %}
    {% set next_pages = 2 %}

    {% if previous_page_arrow is empty %}
      {% set next_pages = 4 %}
    {% endif %}

    {% if next_page_arrow is empty %}
      {% set previous_pages = 4 %}
    {% endif %}

    <li class="page-item page-item-previous {% if previous_page_arrow is empty %} disabled {% endif %}">
      {% if previous_page_arrow is empty %}
        {% set paginationUrl = '' %}
      {% else %}
        {% set paginationUrl = path(route_name, {
          'scope': scope,
          'dataspace': dataspace,
          'query': search_query_string,
          'filters': search_facets_string,
          'page_number': previous_page_arrow
        }) %}
      {% endif %}

      <a class="page-link dex__link" href="{{ paginationUrl }}" rel="nofollow">
        <i class="fa fa-angle-left"></i>
        <span class="sr-only">{{ 'Previous'|t }}</span>
      </a>
    </li>

    {% for previous_page in search_pagination.getPreviousPages(previous_pages) %}
      {% set paginationUrl = path(route_name, {
        'scope': scope,
        'dataspace': dataspace,
        'query': search_query_string,
        'filters': search_facets_string,
        'page_number': previous_page
      }) %}

      <li class="page-item">
        <a class="page-link dex__link" href="{{ paginationUrl }}" rel="nofollow">
          {{ previous_page }}
        </a>
      </li>
    {% endfor %}

    {% set paginationUrl = path(route_name, {
      'scope': scope,
      'dataspace': dataspace,
      'query': search_query_string,
      'filters': search_facets_string,
      'page_number': search_pagination.getCurrentPage()
    }) %}

    <li class="page-item active">
      <a class="page-link dex__link" href="{{ paginationUrl }}" rel="nofollow">
        {{ search_pagination.getCurrentPage() }}
      </a>
    </li>

    {% for next_page in search_pagination.getNextPages(next_pages) %}
      {% set paginationUrl = path(route_name, {
        'scope': scope,
        'dataspace': dataspace,
        'query': search_query_string,
        'filters': search_facets_string,
        'page_number': next_page
      }) %}

      <li class="page-item">
        <a class="page-link dex__link" href="{{ paginationUrl }}" rel="nofollow">
          {{ next_page }}
        </a>
      </li>
    {% endfor %}

    <li class="page-item page-item-next {% if next_page_arrow is empty %} disabled {% endif %}">
      {% if next_page_arrow is empty %}
        {% set paginationUrl = '' %}
      {% else %}
        {% set paginationUrl = path(route_name, {
          'scope': scope,
          'dataspace': dataspace,
          'query': search_query_string,
          'filters': search_facets_string,
          'page_number': next_page_arrow
        }) %}
      {% endif %}

      <a class="page-link dex__link" href="{{ paginationUrl }}" rel="nofollow">
        <i class="fa fa-angle-right"></i>
        <span class="sr-only">{{ 'Next'|t }}</span>
      </a>
    </li>
  </ul>
</nav>
